# BreakoutPaddle Class Reference

`#include <BreakoutPaddle.h>`

Inheritance diagram for BreakoutPaddle:

List of all members.

## Public Member Functions
| BreakoutPaddle (const Vector2i &pos, const Vector2i &boxSize, const ColourRGB &innerColour, const ColourRGB &outerColour)
virtual void | Draw ()
virtual void | Update ()
bool | HandleCollisionWithWorldBoundaries (BreakoutWorldBoundaries *pBounds)
void | AttachBallToPaddle (BreakoutBall *pBall)
void | DetachBallFromPaddle ()
bool | IsBallAttached ()
Vector2i | GetVelocity ()
void | SetVelocity (const Vector2i &vel)
void | AddToVelocity (const Vector2i &vec)
void | SetPosition (const Vector2i &pos)
void | SetSize (const Vector2i &size)
void | SetHealth (const int &health)
void | Enable ()
bool | IsEnabled ()
void | Disable ()
Vector2i | GetPosition ()
Vector2i | GetSize ()
AABBi | GetAABB ()
void | TakeHit ()
int | GetHealth ()
bool | IsAlive ()
## Protected Member Functions
void | updateBBox ()
## Protected Attributes
SpriteID | m_sprID
Vector2i | m_velocity
Vector2i | m_ballOffset
bool | m_bBallAttached
BreakoutBall * | m_pBallAttached
bool | m_bIsEnabled
bool | m_bIsAlive
Vector2i | m_position
Vector2i | m_size
AABBi | m_boundingBox
int | m_health
unsigned long | m_lastHitTime

## Detailed Description

Definition at line 11 of file BreakoutPaddle.h.

## Constructor & Destructor Documentation

BreakoutPaddle::BreakoutPaddle | ( | const Vector2i & | pos,
|  | const Vector2i & | boxSize,
|  | const ColourRGB & | innerColour,
|  | const ColourRGB & | outerColour |
| ) |  |  | `[inline]`

Definition at line 14 of file BreakoutPaddle.h.

## Member Function Documentation

void BreakoutPaddle::AddToVelocity | ( | const Vector2i & | vec | ) | `[inline]`

Definition at line 83 of file BreakoutPaddle.h.

void BreakoutPaddle::AttachBallToPaddle | ( | BreakoutBall * | pBall | ) | `[inline]`

Definition at line 61 of file BreakoutPaddle.h.

void BreakoutPaddle::DetachBallFromPaddle | ( |  | ) | `[inline]`

Definition at line 73 of file BreakoutPaddle.h.

void BreakoutBox::Disable | ( |  | ) | `[inline, inherited]`

Definition at line 33 of file BreakoutBox.h.

virtual void BreakoutPaddle::Draw | ( |  | ) | `[inline, virtual]`

Reimplemented from BreakoutBox.

Definition at line 21 of file BreakoutPaddle.h.

void BreakoutBox::Enable | ( |  | ) | `[inline, inherited]`

Definition at line 31 of file BreakoutBox.h.

AABBi BreakoutBox::GetAABB | ( |  | ) | `[inline, inherited]`

Definition at line 38 of file BreakoutBox.h.

int BreakoutBox::GetHealth | ( |  | ) | `[inline, inherited]`

Definition at line 42 of file BreakoutBox.h.

Vector2i BreakoutBox::GetPosition | ( |  | ) | `[inline, inherited]`

Definition at line 35 of file BreakoutBox.h.

Vector2i BreakoutBox::GetSize | ( |  | ) | `[inline, inherited]`

Definition at line 36 of file BreakoutBox.h.

Vector2i BreakoutPaddle::GetVelocity | ( |  | ) | `[inline]`

Definition at line 81 of file BreakoutPaddle.h.

bool BreakoutPaddle::HandleCollisionWithWorldBoundaries | ( | BreakoutWorldBoundaries * | pBounds | ) | `[inline]`

Definition at line 37 of file BreakoutPaddle.h.

bool BreakoutBox::IsAlive | ( |  | ) | `[inline, inherited]`

Definition at line 44 of file BreakoutBox.h.

bool BreakoutPaddle::IsBallAttached | ( |  | ) | `[inline]`

Definition at line 79 of file BreakoutPaddle.h.

bool BreakoutBox::IsEnabled | ( |  | ) | `[inline, inherited]`

Definition at line 32 of file BreakoutBox.h.

void BreakoutBox::SetHealth | ( | const int & | health | ) | `[inline, inherited]`

Definition at line 29 of file BreakoutBox.h.

void BreakoutBox::SetPosition | ( | const Vector2i & | pos | ) | `[inline, inherited]`

Definition at line 17 of file BreakoutBox.h.

void BreakoutBox::SetSize | ( | const Vector2i & | size | ) | `[inline, inherited]`

Definition at line 23 of file BreakoutBox.h.

void BreakoutPaddle::SetVelocity | ( | const Vector2i & | vel | ) | `[inline]`

Definition at line 82 of file BreakoutPaddle.h.

void BreakoutBox::TakeHit | ( |  | ) | `[inherited]`

Definition at line 55 of file BreakoutBox.cpp.

virtual void BreakoutPaddle::Update | ( |  | ) | `[inline, virtual]`

Reimplemented from BreakoutBox.

Definition at line 28 of file BreakoutPaddle.h.

void BreakoutBox::updateBBox | ( |  | ) | `[protected, inherited]`

Definition at line 42 of file BreakoutBox.cpp.

## Member Data Documentation

Vector2i BreakoutPaddle::m_ballOffset`[protected]`

Definition at line 87 of file BreakoutPaddle.h.

bool BreakoutPaddle::m_bBallAttached`[protected]`

Definition at line 88 of file BreakoutPaddle.h.

bool BreakoutBox::m_bIsAlive`[protected, inherited]`

Definition at line 47 of file BreakoutBox.h.

bool BreakoutBox::m_bIsEnabled`[protected, inherited]`

Definition at line 47 of file BreakoutBox.h.

AABBi BreakoutBox::m_boundingBox`[protected, inherited]`

Definition at line 49 of file BreakoutBox.h.

int BreakoutBox::m_health`[protected, inherited]`

Definition at line 50 of file BreakoutBox.h.

unsigned long BreakoutBox::m_lastHitTime`[protected, inherited]`

Definition at line 51 of file BreakoutBox.h.

BreakoutBall* BreakoutPaddle::m_pBallAttached`[protected]`

Definition at line 89 of file BreakoutPaddle.h.

Vector2i BreakoutBox::m_position`[protected, inherited]`

Definition at line 48 of file BreakoutBox.h.

Vector2i BreakoutBox::m_size`[protected, inherited]`

Definition at line 48 of file BreakoutBox.h.

SpriteID BreakoutPaddle::m_sprID`[protected]`

Definition at line 86 of file BreakoutPaddle.h.

Vector2i BreakoutPaddle::m_velocity`[protected]`

Definition at line 87 of file BreakoutPaddle.h.

The documentation for this class was generated from the following file:

- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/BreakoutPaddle.h